The MongoDB\Driver\Monitoring\TopologyOpeningEvent class

- « MongoDB\Driver\Monitoring\TopologyClosedEvent::getTopologyId

- MongoDB\Driver\Monitoring\TopologyOpeningEvent::getTopologyId »

- PHP Manual
- MongoDB\Driver\Monitoring
- The MongoDB\Driver\Monitoring\TopologyOpeningEvent class

# The MongoDB\Driver\Monitoring\TopologyOpeningEvent class

(mongodb >=1.13.0)

## Introduction

The MongoDB\Driver\Monitoring\TopologyOpeningEvent class encapsulates information about an opened topology.

> Note: Due to the driver's connection handling and persistence behavior, this event may not be observed if a MongoDB\Driver\Manager uses a previously persisted » libmongoc client.

## Class synopsis

final class MongoDB\Driver\Monitoring\TopologyOpeningEvent {
/* Methods */
final public getTopologyId(): MongoDB\BSON\ObjectId
}

## Table of Contents

- MongoDB\Driver\Monitoring\TopologyOpeningEvent::getTopologyId — Returns the topology ID